import { z } from 'zod';

export const loginSchema = z.object({
    body: z.object({
        email: z.string().email(),
        password: z.string().min(1),
    }),
});

export const registerSchema = z.object({
    body: z.object({
        email: z.string().email(),
        password: z.string().min(4),
        role: z.enum(['USER', 'ADMIN']).optional(),
    }),
});

export const changePasswordSchema = z.object({
    body: z.object({
        newPassword: z.string().min(4),
    }),
});

export const updateProfileSchema = z.object({
    body: z.object({
        weight: z.number().optional(),
        height: z.number().optional(),
        gender: z.string().optional(),
        birthDate: z.string().optional(),
        language: z.string().optional(),
        restTimerDefault: z.number().optional()
    })
})
